﻿//-----------------------------------------------------------------------
// <copyright file="LogMessage.cs" company="INL sprl">
//     Copyright 2010 INL sprl.
// </copyright>
// Fabrice avaux : Date de création 16/10/2010
//-----------------------------------------------------------------------

namespace ParseXAML
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Class used to log message (associated with <c ref="Global" />)
    /// </summary>
    public class LogMessage
    {
        public enum eType { Information = 0, ResXAdd = 1, ResXModify = 2 };

        public eType Type { get; set; }
        public string Display { get; set; }

        public LogMessage(eType type, string display)
        {
            this.Type = type;
            this.Display = display;
        }
    }

    /// <summary>
    /// Event class for Class Message
    /// </summary>
    public class LogMessageEventArgs : EventArgs
    {
        public LogMessageEventArgs(LogMessage message)
        {
            this.Message = message;
        }

        public LogMessage Message { get; set; }
    }
}
