﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Serialization;

namespace ParseXAML
{
    public class Params
    {
        public enum eMethod { Binding = 0, Code = 1 };

        [XmlAttribute]
        public int Version;

        [XmlAttribute]
        public bool GenerateWrapperClassForResource;

        [XmlAttribute]
        public bool TryToConvertElementToContent;

        [XmlAttribute]
        public string ResXGenerator;

        [XmlAttribute]
        public eMethod Method;

        [XmlElement(ElementName = "Include")]
        public ListProperties IncludeProperties;

        [XmlElement(ElementName = "Exclude")]
        public ListProperties ExcludeProperties;

        [XmlAttribute]
        public bool UpdateResX;

        [XmlAttribute]
        public string IgnoreStringBeginBy;

        [XmlAttribute]
        public string BindingString;

        public Params()
        {
            this.GenerateWrapperClassForResource = true;
            this.ResXGenerator = "PublicResourceCodeGenerator";
            this.Method = eMethod.Binding;
            this.Version = 1;
            this.UpdateResX = true;
            this.TryToConvertElementToContent = true;
        }
    }
}
