﻿//-----------------------------------------------------------------------
// <copyright file="ResourceDataItem.cs" company="INL sprl">
//     Copyright 2009-2010 INL sprl.
// </copyright>
//-----------------------------------------------------------------------

namespace ParseXAML
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Classes qui permet de contenir une (key,value) d'une ressource.
    /// </summary>
    internal class ResourceDataItem
    {
        /// <summary>
        /// The value of the key
        /// </summary>
        private string resourceKey;

        /// <summary>
        /// The value of the ressource
        /// </summary>
        private string resourceValue;

        /// <summary>
        /// Initializes a new instance of the ResourceDataItem class.
        /// </summary>
        /// <param name="key">The key of the ressource</param>
        /// <param name="value">The value of the ressource</param>
        internal ResourceDataItem(string key, string value)
        {
            this.resourceKey = key;
            this.resourceValue = value;
        }

        /// <summary>
        /// Gets the key
        /// </summary>
        public string ResourceKey
        {
            get { return this.resourceKey; }
        }

        /// <summary>
        /// Gets the value
        /// </summary>
        public string ResourceValue
        {
            get { return this.resourceValue; }
        }
    }
}
